import request from '@/utils/request';
import { AxiosPromise } from 'axios';

export const getUserNum = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/user/num',
    method: 'get',
    params: query
  });
};

export const getEvaluationNum = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/evaluation/num',
    method: 'get',
    params: query
  });
};

export const getWarnNum = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/warn/num',
    method: 'get',
    params: query
  });
};

export const getInterveneNum = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/intervene/num',
    method: 'get',
    params: query
  });
};

export const getWarn4All = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/warn/all',
    method: 'get',
    params: query
  });
};

export const getGrade = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/grade/publish-evaluation',
    method: 'get',
    params: query
  });
};

export const getPublishNum = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/scale/publish/num',
    method: 'get',
    params: query
  });
};

export const getConclusion = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/grade/conclusion',
    method: 'get',
    params: query
  });
};

export const getMonthEvaluation = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/year/evaluation',
    method: 'get',
    params: query
  });
};

export const getPublish = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/publish',
    method: 'get',
    params: query
  });
};

export const getHalfMonth = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/year/intervene-warn',
    method: 'get',
    params: query
  });
};